%define name ecasound
%define version 1.8.2r14
%define release 2mdk
%define lib_major 1
%define lib_name lib%{name}%{lib_major}

Buildroot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source: http://ecasound.seul.org/download/%{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-eca-audio-format.patch.bz2
Patch1: %{name}-%{version}-audioio_arts.patch.bz2
Patch2: %{name}-%{version}-samplebuffer_functions.patch.bz2
Patch3: %{name}-%{version}-eca-midi.patch.bz2
Patch4: %{name}-%{version}-osc-gen.patch.bz2

Summary: ecasound - multitrack audio processing tool
Group: Sound

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback, 
recording and format conversions, as well as for multitrack effect 
processing, mixing, recording and signal recycling. Ecasound supports 
a wide range of audio inputs, outputs and effect algorithms. 
Effects and audio objects can be combined in various ways, and their
parameters can be controlled by operator objects like oscillators 
and MIDI-CCs. As most functionality is located in shared libraries,
creating alternative user-interfaces is easy. A versatile console mode
interface is included in the package.

%package -n %{lib_name}
Summary: Main library for ecasound
Group: System/Libraries
Provides: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with ecasound.

%package -n %{lib_name}-devel
Summary: Ecasound - Library header files
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: lib%{name}-devel %{name}-devel

%description -n %{lib_name}-devel
Headers files needed for compiling other programs against
ecasound libraries. This is package is not required for installing 
other ecasound RPMs.

%package -n %{name}-plugins
Summary: Additional ecasound plugins (ALSA, Audiofile, aRts).
Group: Sound
AutoReqProv: no
Requires: %{name}

%description -n %{name}-plugins
Additional ecasound plugins (ALSA, Audiofile, aRts).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{configure} --disable-static $extra_params

%make

%install
make DESTDIR="$RPM_BUILD_ROOT" install-strip
make DESTDIR="$RPM_BUILD_ROOT" delete-static-libs
make DESTDIR="$RPM_BUILD_ROOT" strip-shared-libs

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5/
install -m 0644 Documentation/ecasound.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 0644 Documentation/ecatools.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 0644 Documentation/ecasound-iam.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 0644 Documentation/ecasoundrc.5 $RPM_BUILD_ROOT/%{_mandir}/man5/

%post
if ! grep %{_libdir} /etc/ld.so.conf > /dev/null ; then
  echo "%{_libdir}" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc NEWS README INSTALL BUGS Documentation
%doc %{_mandir}/man1/ecasound.1*
%doc %{_mandir}/man1/ecatools.1*
%doc %{_mandir}/man1/ecasound-iam.1*
%doc %{_mandir}/man5/ecasoundrc.5*
%{_bindir}/ecasound
%{_bindir}/ecaconvert
%{_bindir}/ecafixdc
%{_bindir}/ecanormalize
%{_bindir}/ecaplay
%{_bindir}/ecasound-config
%config %{_prefix}/share/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libecasound.*
%{_libdir}/libkvutils.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_includedir}/kvutils

%files -n %{name}-plugins
%defattr(-, root, root)
%{_libdir}/%{name}-plugins

%changelog
* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8.2r14-2mdk
- minor spec changes

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.8.2r14-1mdk
- new in contribs 
- used srpm from Quel Qun <kelk1@usa.net> 
	- Split library package.

* Sat Dec  2 2000 Quel Qun <kelk1@usa.net> 1.8.2r14-1kk1
- Mandrake adaptation.

* Thu Aug 31 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added /etc/ld.so.conf modification script.
- Added DESTDIR to %install.

* Wed Aug 30 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- 'ecasound-config' script added.

* Sun Aug 20 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- All Qt-related stuff removed.

* Wed Jul 06 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added the -plugins package.

* Wed Jun 07 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- ecaconvert added to the package.

* Mon Jun 05 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Renamed ecatools programs.

* Mon Apr 15 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Removed dynamic linking to ALSA libraries. You 
  can get ALSA support by recompiling the source-RPM
  package.

* Mon Feb 10 2000 Kai Vehmanen <kaiv@wakkanet.fi>
- Added libqtecasound to ecasound-qt.

* Mon Nov 09 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- A complete reorganization. Ecasound distribution is now 
  divided to three RPMs: ecasound, ecasound-qt and ecasound-devel.

* Mon Nov 08 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- As Redhat stopped the RHCN project, so these rpms 
  are again distributed via Redhat's contrib service
- You can also get these from http://ecasound.seul.org/download

* Sun Aug 15 1999 Kai Vehmanen <kaiv@wakkanet.fi>
- Initial rhcn release.
